#pragma once

#include "CoreMinimal.h"
#include "AISkill.h"
#include "GameplayTagContainer.h"
#include "AISkill_Invisible.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDBOTS_API UAISkill_Invisible : public UAISkill
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> InvisiblePerkFlags;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> ExtendDurationInteractions;

public:
	UAISkill_Invisible();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Invisible) { return 0; }
